ZETA(3pm)

NAME
PDL::GSLSF::ZETA - PDL interface to GSL Special Functions

DESCRIPTION
This is an interface to the Special Function package present in the GNU Scientific Library.

SYNOPSIS

FUNCTIONS

  gsl_sf_zeta
  Signature: (double x(); double [o]y(); double [o]e())

Riemann Zeta Function zeta(x) = Sum[ k^(-s), {k,1,Infinity} ], s != 1.0

gsl_sf_zeta does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

  gsl_sf_hzeta
  Signature: (double s(); double [o]y(); double [o]e(); double q)

Hurwicz Zeta Function zeta(s,q) = Sum[ (k+q)^(-s), {k,0,Infinity} ]

gsl_sf_hzeta does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

  gsl_sf_eta
  Signature: (double x(); double [o]y(); double [o]e())

Eta Function eta(s) = (1-2^(1-s)) zeta(s)

gsl_sf_eta does not process bad values. It will set the bad-value flag of all output piddles if the flag is set for any of the input piddles.

AUTHOR
This file copyright (C) 1999 Christian Pellegrin <chri@infis.univ.trieste.it> All rights reserved. There is no warranty. You are allowed to redistribute this software / documentation under certain conditions. For details, see the file COPYING in the PDL distribution. If this file is separated from the PDL distribution, the copyright notice should be included in the file.

The GSL SF modules were written by G. Jungman.